Loading...
Searching...
No Matches
janus_network_address Struct Reference

Structure to hold network addresses in a tagged union which should be IPv4 and IPv6 compatible. Use the `family` member (either `AF_INET` or `AF_INET6`) to determine which type of address is contained. More...

`#include <ip-utils.h>`

## Data Fields

int | family
union { |
struct in_addr ipv4 |
struct in6_addr ipv6 |
}; |

## Detailed Description

Structure to hold network addresses in a tagged union which should be IPv4 and IPv6 compatible. Use the `family` member (either `AF_INET` or `AF_INET6`) to determine which type of address is contained.

See also
  man 7 ip
  man 7 ipv6
  `janus_network_get_device_address`

## Field Documentation

## [union]

union { ... } janus_network_address

## family

int janus_network_address::family

Should be either `AF_INET` for IPv4 or `AF_INET6` for IPv6.

## ipv4

struct in_addr janus_network_address::ipv4

## ipv6

struct in6_addr janus_network_address::ipv6

The documentation for this struct was generated from the following file:

- ip-utils.h